import { __awaiter } from "tslib";
import { build, mergeConfig } from 'vite';
import * as path from 'path';
export function buildSSRApp(config, options) {
    var _a;
    return __awaiter(this, void 0, void 0, function* () {
        const workspaceRoot = (_a = options === null || options === void 0 ? void 0 : options.workspaceRoot) !== null && _a !== void 0 ? _a : process.cwd();
        const rootDir = path.relative(workspaceRoot, config.root || '.') || '.';
        const ssrBuildConfig = mergeConfig(config, {
            build: {
                ssr: true,
                rollupOptions: {
                    input: (options === null || options === void 0 ? void 0 : options.entryServer) || path.resolve(rootDir, './src/main.server.ts'),
                },
                outDir: (options === null || options === void 0 ? void 0 : options.ssrBuildDir) || path.resolve('dist', rootDir, 'ssr'),
            },
        });
        yield build(ssrBuildConfig);
    });
}
//# sourceMappingURL=build-ssr.js.map